<?php

use Illuminate\Database\Eloquent\Model as Eloquent;

class Testmodel extends Eloquent {

    protected $table = 'rex_article';
    const CREATED_AT = 'createdate';
    const UPDATED_AT = 'updatedate';
    protected $dates = ['createdate', 'updatedate'];


    // model events
    public static function boot()
    {
        parent::boot();
        static::created(function($obj)
        {

        });
        static::updated(function($obj)
        {

        });
        static::saved(function($obj)
        {

        });
        static::deleted(function($obj)
        {

        });
    }

    public function parent() {
        return $this->belongsTo('Testmodel', 'parent_id');
    }

    public function children() {
        return $this->hasMany('Testmodel', 'parent_id');
    }
}